# Class VulkanSemaphoreTimelineCreateInfo

java.lang.Object
com.io7m.jcoronado.api.VulkanSemaphoreTimelineCreateInfo

All Implemented Interfaces:
  `VulkanSemaphoreCreateInfoType, VulkanSemaphoreTimelineCreateInfoType`

public final class VulkanSemaphoreTimelineCreateInfo extends Object implements VulkanSemaphoreTimelineCreateInfoType
The type of Vulkan timeline semaphore creation information.

See Also:
  - "VkSemaphoreTypeCreateInfo"

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `VulkanSemaphoreTimelineCreateInfo.Builder`
  Builds instances of type `VulkanSemaphoreTimelineCreateInfo`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanSemaphoreTimelineCreateInfo.Builder`
  `builder()`
  Creates a builder for `VulkanSemaphoreTimelineCreateInfo`.
  `static VulkanSemaphoreTimelineCreateInfo`
  `copyOf(VulkanSemaphoreTimelineCreateInfoType instance)`
  Creates an immutable copy of a `VulkanSemaphoreTimelineCreateInfoType` value.
  `boolean`
  `equals(Object another)`
  This instance is equal to all instances of `VulkanSemaphoreTimelineCreateInfo` that have equal attribute values.
  `int`
  `hashCode()`
  Computes a hash code from attributes: `initialValue`.
  `long`
  `initialValue()`
  `String`
  `toString()`
  Prints the immutable value `VulkanSemaphoreTimelineCreateInfo` with attribute values.
  `final VulkanSemaphoreTimelineCreateInfo`
  `withInitialValue(long value)`
  Copy the current immutable object by setting a value for the `initialValue` attribute.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### initialValue

    public long initialValue()
    Specified by:
      `initialValue` in interface `VulkanSemaphoreTimelineCreateInfoType`
    Returns:
      The initial semaphore value

  - ### withInitialValue

    public final VulkanSemaphoreTimelineCreateInfo withInitialValue(long value)
    Copy the current immutable object by setting a value for the `initialValue` attribute. A value equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for initialValue
    Returns:
      A modified copy or the `this` object

  - ### equals

    public boolean equals(Object another)
    This instance is equal to all instances of `VulkanSemaphoreTimelineCreateInfo` that have equal attribute values.
    Overrides:
      `equals` in class `Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `initialValue`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      hashCode value

  - ### toString

    public String toString()
    Prints the immutable value `VulkanSemaphoreTimelineCreateInfo` with attribute values.
    Overrides:
      `toString` in class `Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static VulkanSemaphoreTimelineCreateInfo copyOf(VulkanSemaphoreTimelineCreateInfoType instance)
    Creates an immutable copy of a `VulkanSemaphoreTimelineCreateInfoType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable VulkanSemaphoreTimelineCreateInfo instance

  - ### builder

    public static VulkanSemaphoreTimelineCreateInfo.Builder builder()
    Creates a builder for `VulkanSemaphoreTimelineCreateInfo`.

        VulkanSemaphoreTimelineCreateInfo.builder()
           .setInitialValue(long) // required initialValue
           .build();

    Returns:
      A new VulkanSemaphoreTimelineCreateInfo builder